Get List
Fetches a paginated list of notifications for the user, filterable by status (READ, UNREAD, etc.).
Endpoint
Section titled “Endpoint”POST
/notification/v1/getlistRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/notification/v1/getlist \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"status": [1, 2],"page_request": {"page_number": 1,"page_size": 20}}'{"status": [1, 2],"page_request": {"page_number": 1,"page_size": 20}}Response Body
Section titled “Response Body”{"status": {"type": "SUCCESS","details": []},"notifications_count": 1,"notifications": [{ "notification_id": "notification-uuid", "notification_title": "Welcome", "notification_message": "Welcome to JusPredict Backend!", "notification_status": 1, "notification_msg_created_at": "2026-04-18T10:00:00Z"}],"page_info": {"total_count": 1}}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |